# 🎉 Notification Position GNOME Shell Extension

Welcome to the **Notification Position** GNOME Shell extension! 🚀 This extension moves your notifications from the center of the screen to the top left corner. Perfect for a cleaner workspace or just a touch of customization.

## 🛠️ Installation

Getting started is easy! Just follow these steps:

1. **Download the Extension:**
   - **Via Git**: Clone the repository with:
     ```bash
     git clone https://github.com/Ahmed-Sinkeat/notification-position.git
     ```
   - **Via ZIP**: Visit the [GitHub repository](https://github.com/Ahmed-Sinkeat/notification-position), download the ZIP file, and extract it. The extracted folder will be named `notification-position-main`.

2. **Rename the Folder:**
   - Open a terminal and navigate to the directory where you extracted the ZIP file:
     ```bash
     cd /path/to/notification-position-main
     ```
     *(Replace `/path/to/notification-position-main` with the actual path)*
   - Rename the folder to match GNOME Shell’s expected format:
     ```bash
     mv notification-position-main notification-position@github.com
     ```

3. **Move the Extension to GNOME Shell Extensions Directory:**
   - Move the renamed folder to GNOME Shell’s extensions directory:
     ```bash
     mv notification-position@github.com ~/.local/share/gnome-shell/extensions/
     ```
     *(This places the extension in the correct directory where GNOME Shell looks for extensions)*

4. **Enable the Extension:**
   - Restart GNOME Shell by pressing `Alt + F2`, typing `r`, and pressing `Enter`. Alternatively, log out and log back in.
   - Open the GNOME Extensions application or GNOME Tweaks tool.
   - Find "Notification Position" and enable it.

## ✨ Usage

Once enabled, your notifications will neatly appear at the top left of the screen, keeping your desktop clean and organized. Enjoy your new layout!

## 🤝 Contributing

We welcome contributions! To help out, fork the repository, make your changes, and submit a pull request. We’re excited to see your ideas!

## 📜 License

This project is licensed under the MIT License. For more details, see the [LICENSE](LICENSE) file.

## 💬 Contact

Have questions or feedback? Feel free to open an issue on our [GitHub page](https://github.com/Ahmed-Sinkeat/notification-position/issues). We’d love to hear from you!
